Package org.eclipse.debug.core.sourcelookup

## Interface ISourcePathComputer

All Superinterfaces:
  `ISourcePathComputerDelegate`

    public interface ISourcePathComputer
    extends ISourcePathComputerDelegate

A source path computer computes the default source lookup path (set of source containers that should be considered) for a launch configuration.

A source path computer is contributed in plug-in XML via the `sourcePathComputers` extension point, that provides a delegate to compute the path specific to a launch configuration. Following is an example contribution.

     <extension point="org.eclipse.debug.core.sourcePathComputers">
            <sourcePathComputer
                    id="org.eclipse.example.exampleSourcePathComputer"
                    class="org.eclipse.example.SourcePathComputer">
            </sourcePathComputer>
     </extension>

A source path computer can be associated with a launch configuration type via the `sourcePathComputerId` attribute of a launch configuration type extension. As well, a launch configuration can specify its own source path computer to use via the `ATTR_SOURCE_PATH_COMPUTER_ID` attribute.

Clients contributing a source path computer provide an implementation of `ISourcePathComputerDelegate`.

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static String` `ATTR_SOURCE_PATH_COMPUTER_ID` Launch configuration attribute to specify a source path computer that should be used for a launch configuration.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getId()` Returns the unique identifier for this source path computer.

### Methods inherited from interface org.eclipse.debug.core.sourcelookup.ISourcePathComputerDelegate

`computeSourceContainers`

### Field Detail

#### ATTR_SOURCE_PATH_COMPUTER_ID

    static final String ATTR_SOURCE_PATH_COMPUTER_ID

Launch configuration attribute to specify a source path computer that should be used for a launch configuration. The value is an identifier of a source path computer extension, or unspecified (`null`), if the default source path computer should be used. A default source path computer can be associated with a launch configuration type.

### Method Detail

#### getId

    String getId()

Returns the unique identifier for this source path computer.

Returns:
  the unique identifier for this source path computer